Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 654498 - media-fonts/liberation-fonts - please restore 1.07.4
Summary: media-fonts/liberation-fonts - please restore 1.07.4
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Fonts Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-01 09:23 UTC by Coacher
Modified: 2018-05-24 17:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Coacher 2018-05-01 09:23:43 UTC
Hello.

liberation-fonts-1.07 includes Liberation Sans Narrow, which was removed in 2.00.

Please bring back 1.07.4 so people can use this font.
I don't mind if it stays ~arch forever.
Comment 1 Coacher 2018-05-23 03:23:47 UTC
CC @johu as he delivered the finishing blow.
Comment 2 Johannes Huber gentoo-dev 2018-05-24 09:33:42 UTC
(In reply to Coacher from comment #1)
> CC @johu as he delivered the finishing blow.

I am in the fonts@g.o alias no need to cc me.

I will keep the bug open and see how much interest exists, but there are other options instead of bringing back an outdated version:

a) Ask upstream if they are willing to bring the font style in a future release
b) Maintain the old version in an overlay
Comment 3 Hemy 2018-05-24 17:41:03 UTC
(In reply to Johannes Huber from comment #2)
> 
> I will keep the bug open and see how much interest exists, but there are
> other options instead of bringing back an outdated version:
1.07.4 is by no means outdated. 2.00 is an attempt by Red Hat at fixing a licensing problem with 1.07.4 [1]. Due to quality complaints [2] with 2.00 it is sadly not a viable replacement.

Last time I looked Red Hat were still shipping 1.07.4 and not 2.00 in Fedora due to that.

> a) Ask upstream if they are willing to bring the font style in a future release
It was removed due to licensing so that is unlikely. Apparently there is (was?) no OFL-licensed Sans Narrow available [3] so if you want that 1.07.4 is likely still needed.

[1] https://pagure.io/liberation-fonts
[2] https://bugzilla.redhat.com/show_bug.cgi?id=856239
[3] https://lwn.net/Articles/502371/